# Interface TextNode

interface TextNode {
_attrs : { get(key: string): { length: number } };
data : string;
name : string;
previousSibling ?: TextNode ;
startOffset : number;
}

- Defined in src/public/app/types.d.ts:273

##### Index

### Properties

_attrs
data
name
previousSibling?
startOffset

## Properties

### _attrs

_attrs: { get(key: string): { length: number } }

- Defined in src/public/app/types.d.ts:278

### data

data: string

- Defined in src/public/app/types.d.ts:276

### name

name: string

- Defined in src/public/app/types.d.ts:275

### `Optional` previousSibling

previousSibling?: TextNode

- Defined in src/public/app/types.d.ts:274

### startOffset

startOffset: number

- Defined in src/public/app/types.d.ts:277